Bug 832506 - [abrt] 389-ds-base-1.2.10.6-1.fc16: slapi_attr_value_cmp: Process /usr/sbin/ns-slapd was killed by signal 11 (SIGSEGV)
[abrt] 389-ds-base-1.2.10.6-1.fc16: slapi_attr_value_cmp: Process /usr/sbin/n...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: 389-ds-base (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
abrt_hash:681cc1efece86179925a1c35fd8...
:
Depends On:
Blocks: 832560
  Show dependency treegraph
 
Reported: 2012-06-15 10:59 EDT by James Cape
Modified: 2013-02-13 22:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 832560 (view as bug list)
Environment:
Last Closed: 2013-02-13 22:03:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (8.46 KB, text/plain)
2012-06-15 10:59 EDT, James Cape
no flags Details
File: maps (46.05 KB, text/plain)
2012-06-15 10:59 EDT, James Cape
no flags Details
File: backtrace (105.14 KB, text/plain)
2012-06-15 10:59 EDT, James Cape
no flags Details

  None (edit)
Description James Cape 2012-06-15 10:59:43 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/sbin/ns-slapd -D /etc/dirsrv/slapd-ELADIAN-COM -i /var/run/dirsrv/slapd-ELADIAN-COM.pid -w /var/run/dirsrv/slapd-ELADIAN-COM.startpid
comment:        Newly created replica of FreeIPA server on F16, crashes fairly soon after startup.
crash_function: slapi_attr_value_cmp
executable:     /usr/sbin/ns-slapd
kernel:         3.3.8-1.fc16.x86_64
pid:            2305
pwd:            /var/log/dirsrv/slapd-ELADIAN-COM
reason:         Process /usr/sbin/ns-slapd was killed by signal 11 (SIGSEGV)
time:           Fri 15 Jun 2012 10:55:22 AM EDT
uid:            995
username:       dirsrv

backtrace:      Text file, 107659 bytes
dso_list:       Text file, 8664 bytes
maps:           Text file, 47158 bytes

build_ids:
:28579c89bda7f08dace218884d7a5561f3f5f89d
:9512464215edc1554941e95778c584400644a0f9
:89017ab0b75e533e4294f74ee8f7db3daceea536
:3a2c00058f6bc91272c8846d553d3834fab0f3c2
:20636bd24ca415499a99e709f8ff392bd962f414
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:6ba9409fb9f58785e255d94fc533fbf1d1fe35fd
:abecc5e5a7e74b486583aefc2d4957de0ee441e4
:5083c24b4fd7dbf3cac9cf4c15876b0dfdceb4bb
:dd8106edd02ab9cb84bd426e3e1c24b2e96d7e20
:8d4c1cc04914e6f8dce0b485275a05d510543280
:8925791a58a766717900856a9563e7c45b8d84f5
:18d2d32c7fa9200b6d3d8a62714f0a1e40288a93
:14063d4a97bae5e96c07a1a7c0e6ca5c982839f3
:98d779eb18d19289fd05fe4ff9c53686a680a971
:5ac56dbb5866c475e1b0c3e4ceeb390b0f7508c0
:33792af9963f0176ffee6c6c4c42b59e0989beaa
:1029b3fe870dbd477a918a46dfaa7f26e035040a
:6b504a975f37152bf3e8a7c5fc906113768f7366
:c49811439aeff6168ae82e7cf808a8c03b1c9e48
:99917897d3d23c194aa27068c687c61614e42919
:aa80405dede524c56e90ea08ccd8449595153b73
:ac4a9f268a1272f731978ebe6fad6ce0a2d833f4
:fdff2d98463ddd6e8c3883936e12070b2d039e58
:7689506c401bb36bf4b722b5ac9f5534d3259d59
:2a7df6dc20821a8e109c2cb56e1fdf4465043e99
:bb5c9b5cca6d04252b061a2f840ab4ddfda9e733
:87ab5aa145cd7bca0d9c228ad91201f316235765
:f8b52f008b320162c055822b2c11ee27ffefdc51
:c3356ef2f0e4701d83c221d106db44832c517ed1
:a9791ba4315ed37156e8316c3e1380d8af2e33dd
:3aeb8fe8da1fe06f17c25f848c3a668529516839
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:0e442957ac18ac558dd87e12560f266fb86ad04f
:58803db420709341d8e6a713b18e54a6e1824272
:cd0646f08f8fc7a8a3b4c1ce3c192e52ecaf9152
:96d1d49f80e8de2aecf96e365e6084ddd0fd60c9
:becd659eed7de052463589399fb1ed3f4efa072e
:fc684ef0fc723dcb68a88799b8fb98e68e5f7441
:17f981cb9dbb88e65022c2d49ef5f939da321833
:f2e24eed69cdecfdc16ed844c315a295459441ff
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:61aea344c391d8ca2c072b40c36b74bc28711038
:7a41c1ee8a714a59dae96b74650c7026be4221bb
:e05737728ab732fe7f2fdded4b50aaf4e9463997
:014f0b7194ec5a98c89d47805cc82618bcb63e51
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:82d6364667340665021cb2cbd721192dbc29a474
:c7257a4e151a67aa3136befd91bc0ea35317ab52
:f8f4d8e260ee8f3b262936920270ace01b2da537
:5ba371439acb075c48406bd7c66c80594d91c7e7
:554df288b0b14e9e10ca508a8eec33b210336247
:c33244f1d5bb3e0cfb8665c7408e934082cad015
:abc332849acb69dfa92712da05cf46d473464e6a
:e4c87e745dbc082dcd7089dce76ff8e96b2d2781
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:c0f90cfa1a57a818bb024f93075d8cf1a525de89
:75eaece6e0d1e075520cdfad5c398fdab4370846
:4d74b01eb1589aadb2d8690b61386f963f27c1b2
:e814ef8432b7dec42a0b8ec12b9abd9fc7f57b40
:b3ea2a321ce1faf08b7f6391f34ef0cf74f37a6d
:8822ec50a7ca08984b34af0b3096794a5085c473
:1a9fc51036eb815c09220773934dd5f66a9d71dd
:9efd824bf587def50099e2ae657a5cce012fa658
:5a491e02e37595592ec20c9c8c17442a46d8ddc6
:c9935fd7490a83c80f93133202705a253a93d24f
:af0aef46082989badb3a2323d5cee18b5354b25a
:6b455b6a3afcfab45c2b2376e202b50d33cac2b5
:12fdc5a85e732c3f5e8b57d5d2901f36654c88ff
:4d0b901f82acd30569a00185a62ee59c07ba9e75
:bbb7c497ff14faf6e1a51da91e884427f670517f
:552354979eebf3d6c27346691a5b520ccf8f4e75
:368c3cee84c23ec196abdf632219adea6bc31f4f
:4eb3195fbbce250ae7c1af6f58d6d2ef1615b9f7
:38973180f7e5f53233c8127eb7b45ce0f076b2fb
:8c49577fba3c97a9de9331b5245737f6250e831c
:350285d7b5edc1c98cc7774fbf70fbf40de8c611
:45bf1465b17f9565b1fc942e8ca26ce655a51fbf
:e9b8dda085362283f7e2ad303812fc61911f3f5a
:e8c610a9499f2143ef1344a66051860a5fc2e528
:31d51890faad49e4565a95ca21d7c7a7a1ac628a
:783377522ec616d424b6c6850756d6f8139f3b25
:debd77c5edb1a46588d7cf80aca3ef2641f518a2
:e567a4b498aa9dfc484575e666a17925f0944318
:49b4fe7a5a8a78aeb25717e0a70a0187284bdb91
:3437fbc1b9876f2d55c8c9beffbda021a61b1e61
:7a896ce784b97721d1f6960bfba25e60511c0178
:12f7326885e79c7a690d8b6a22109af42760f6af
:050f6b5715d5d1e7c3bdef455e0ff77adba64d20
:c7d627d9595e2c12869a507598ccb8023dda0ce5

environ:
:BOOT_IMAGE=/vmlinuz-3.3.8-1.fc16.x86_64
:PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
:SYSFONT=latarcyrheb-sun16
:LANG=en_US.UTF-8
:PWD=/
:KEYTABLE=us
:'ulimit -n 8192'
:'ulimit -c unlimited'
:KRB5_KTNAME=/etc/dirsrv/ds.keytab
:'export KRB5_KTNAME=/etc/dirsrv/ds.keytab'
:SERVER_DIR=/usr/lib64/dirsrv
:SERVERBIN_DIR=/usr/sbin
:CONFIG_DIR=/etc/dirsrv/slapd-ELADIAN-COM
:INST_DIR=/var/lib/dirsrv/scripts-ELADIAN-COM
:RUN_DIR=/var/run/dirsrv
:PRODUCT_NAME=slapd

var_log_messages:
:Jun 14 16:46:20 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:46:25 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:46:38 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:46:42 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:47:07 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:47:54 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:48:16 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 14 16:48:22 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 15 10:15:04 ipa1-nyc4 kernel: [  302.338458] ns-slapd[1415]: segfault at 10 ip 00007fabf51c3b5f sp 00007fabc47e96f0 error 4 in libslapd.so.0.0.0[7fabf5182000+ef000]
:Jun 15 10:50:56 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 15 10:51:27 ipa1-nyc4 kernel: [ 2486.107784] ns-slapd[1891]: segfault at 10 ip 00007f1c417a4b5f sp 00007f1c1eff66f0 error 4 in libslapd.so.0.0.0[7f1c41763000+ef000]
:Jun 15 10:52:13 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 15 10:53:01 ipa1-nyc4 kernel: [ 2579.808869] ns-slapd[2200]: segfault at 10 ip 00007f841b9fdb5f sp 00007f83eefee6f0 error 4 in libslapd.so.0.0.0[7f841b9bc000+ef000]
:Jun 15 10:53:33 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 15 10:53:47 ipa1-nyc4 kernel: [ 2625.792444] ns-slapd[2277]: segfault at 10 ip 00007f8569661b5f sp 00007f85367e56f0 error 4 in libslapd.so.0.0.0[7f8569620000+ef000]
:Jun 15 10:54:50 ipa1-nyc4 ns-slapd: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)
:Jun 15 10:55:22 ipa1-nyc4 kernel: [ 2720.321845] ns-slapd[2323]: segfault at 10 ip 00007f5df9aaeb5f sp 00007f5dd2ff66f0 error 4 in libslapd.so.0.0.0[7f5df9a6d000+ef000]
:Jun 15 10:55:23 ipa1-nyc4 abrt[2403]: Saved core dump of pid 2305 (/usr/sbin/ns-slapd) to /var/spool/abrt/ccpp-2012-06-15-10:55:22-2305 (389025792 bytes)
Comment 1 James Cape 2012-06-15 10:59:52 EDT
Created attachment 592150 [details]
File: dso_list
Comment 2 James Cape 2012-06-15 10:59:54 EDT
Created attachment 592151 [details]
File: maps
Comment 3 James Cape 2012-06-15 10:59:56 EDT
Created attachment 592152 [details]
File: backtrace
Comment 4 Rich Megginson 2012-06-15 11:52:57 EDT
This looks similar to https://fedorahosted.org/389/ticket/347 and https://fedorahosted.org/389/ticket/382 but not exactly - these issues are fixed in 1.2.10.9, available from updates-testing - can you try it?

yum update --enablerepo=updates-testing 389-ds-base 389-ds-base-libs 389-ds-base-debuginfo
Comment 5 James Cape 2012-06-15 12:11:37 EDT
Yeah, already tried, same crash.
Comment 6 Noriko Hosoi 2012-06-15 13:46:02 EDT
Can we have your configuration/steps to reproduce the problem?

For instance, do you have multiple masters?  If yes, how many?

Could it be possible to share your error log and access log on the crashed server?
(/var/log/dirsrv/slapd-<ID>/{access,errors})
Comment 7 James Cape 2012-06-15 15:29:30 EDT
Yeah:

1. Setup FreeIPA (A) on F16 a long while ago, dealt with other crash issues.
2. Setup mirror in another datacenter (B), DNS + LDAP, no CA, no (local) NTP
3. Upgrade #1 to fIPA 2.1.4-5 + 389 1.2.10.6
4. Upgrade #2 to fIPA 2.1.4-7 + 389 1.2.10.6
5. Install new mirror in third datacenter (C), DNS + LDAP + CA, no (local) NTP
6. New mirror starts crashing after a few minutes.

7. Removed mirror C from replicas list using IPA tools (was previously 3-way master)
8. Removed mirror C from SRV records
9. Mirror C stops crashing.

last bit in the error log:

[15/Jun/2012:10:54:49 -0400] - 389-Directory/1.2.10.6 B2012.101.2023 starting up
[15/Jun/2012:10:54:49 -0400] - Detected Disorderly Shutdown last time Directory Server was running, recovering database.
[15/Jun/2012:10:54:50 -0400] - Skipping CoS Definition cn=Password Policy,cn=accounts,dc=eladian,dc=com--no CoS Templates found, which should be added before the CoS Definition.
[15/Jun/2012:10:54:50 -0400] - Skipping CoS Definition cn=Password Policy,cn=accounts,dc=eladian,dc=com--no CoS Templates found, which should be added before the CoS Definition.
[15/Jun/2012:10:54:50 -0400] set_krb5_creds - Could not get initial credentials for principal [ldap/ipa1-nyc4.eladian.com@ELADIAN.COM] in keytab [WRFILE:/etc/dirsrv/ds.keytab]: -1765328324 (Generic error (see e-text))
[15/Jun/2012:10:54:50 -0400] - slapd started.  Listening on All Interfaces port 389 for LDAP requests
[15/Jun/2012:10:54:50 -0400] - Listening on All Interfaces port 636 for LDAPS requests
[15/Jun/2012:10:54:50 -0400] - Listening on /var/run/slapd-ELADIAN-COM.socket for LDAPI requests
[15/Jun/2012:10:54:50 -0400] slapd_ldap_sasl_interactive_bind - Error: could not perform interactive bind for id [] mech [GSSAPI]: LDAP error -2 (Local error) (SASL(-1): generic failure: GSSAPI Error: Unspecified GSS failure.  Minor code 
may provide more information (Credentials cache file '/tmp/krb5cc_995' not found)) errno 0 (Success)
[15/Jun/2012:10:54:50 -0400] slapi_ldap_bind - Error: could not perform interactive bind for id [] mech [GSSAPI]: error -2 (Local error)
[15/Jun/2012:10:54:50 -0400] NSMMReplicationPlugin - agmt="cn=meToipa1-nyc1.eladian.com" (ipa1-nyc1:389): Replication bind with GSSAPI auth failed: LDAP error -2 (Local error) (SASL(-1): generic failure: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Credentials cache file '/tmp/krb5cc_995' not found))
[15/Jun/2012:10:54:54 -0400] NSMMReplicationPlugin - agmt="cn=meToipa1-nyc1.eladian.com" (ipa1-nyc1:389): Replication bind with GSSAPI auth resumed

Last bit in the access log:q

[15/Jun/2012:10:54:54 -0400] conn=5 op=2 SRCH base="dc=eladian,dc=com" scope=2 filter="(&(|(objectClass=krbprincipalaux)(objectClass=krbprincipal))(krbPrincipalName=ldap/ipa1-nyc1.eladian.com@ELADIAN.COM))" attrs="krbPrincipalName krbCanonicalName objectClass krbPrincipalKey krbMaxRenewableAge krbMaxTicketLife krbTicketFlags krbPrincipalExpiration krbTicketPolicyReference krbUPEnabled krbPwdPolicyReference krbPasswordExpiration krbLastFailedAuth krbLoginFailedCount krbLastSuccessfulAuth nsAccountLock krbLastPwdChange krbLastAdminUnlock krbExtraData krbObjectReferences krballowedtodelegateto"
[15/Jun/2012:10:54:54 -0400] conn=5 op=2 RESULT err=0 tag=101 nentries=1 etime=0
[15/Jun/2012:10:54:54 -0400] conn=5 op=3 SRCH base="dc=eladian,dc=com" scope=2 filter="(&(|(objectClass=krbprincipalaux)(objectClass=krbprincipal))(krbPrincipalName=ldap/ipa1-nyc4.eladian.com@ELADIAN.COM))" attrs="krbPrincipalName krbCanonicalName objectClass krbPrincipalKey krbMaxRenewableAge krbMaxTicketLife krbTicketFlags krbPrincipalExpiration krbTicketPolicyReference krbUPEnabled krbPwdPolicyReference krbPasswordExpiration krbLastFailedAuth krbLoginFailedCount krbLastSuccessfulAuth nsAccountLock krbLastPwdChange krbLastAdminUnlock krbExtraData krbObjectReferences krballowedtodelegateto"
[15/Jun/2012:10:54:54 -0400] conn=5 op=3 RESULT err=0 tag=101 nentries=1 etime=0

Jun 15 10:55:22 ipa1-nyc4 kernel: [ 2720.321845] ns-slapd[2323]: segfault at 10 ip 00007f5df9aaeb5f sp 00007f5dd2ff66f0 error 4 in libslapd.so.0.0.0[7f5df9a6d000+ef000]
Comment 8 James Cape 2012-06-15 15:36:14 EDT
Probably also worth noting that the CA dirsrv was stable, it's the domain dirsrv that's crashing.
Comment 9 Rich Megginson 2012-06-15 15:42:55 EDT
What are the operations coming in from bind?  If you turn off bind, and the crashes go away, it would be very useful to know what sorts of operations bind is doing.  The problem with the access log is that it is buffered, so the actual operation causing the crash could still be in memory in the buffer and not written to disk.
Comment 10 James Cape 2012-06-15 16:09:09 EDT
Something like this, every 30 seconds-or-so:

[15/Jun/2012:15:54:15 -0400] conn=3 op=1816 SRCH base="cn=dns,dc=eladian,dc=com" scope=2 filter="(objectClass=idnsConfigObject)" attrs="idnsforwardpolicy idnsforwarders idnsallowsyncptr idnszonerefresh idnspersistentsearch"
[15/Jun/2012:15:54:15 -0400] conn=3 op=1816 RESULT err=0 tag=101 nentries=0 etime=0
[15/Jun/2012:15:54:15 -0400] conn=3 op=1817 SRCH base="cn=dns,dc=eladian,dc=com" scope=2 filter="(&(objectClass=idnsZone)(idnsZoneActive=TRUE))" attrs="idnsName idnsUpdatePolicy idnsallowquery idnsallowtransfer idnsforwardpolicy idnsforwarders"
[15/Jun/2012:15:54:15 -0400] conn=3 op=1817 RESULT err=0 tag=101 nentries=7 etime=0
[15/Jun/2012:15:54:15 -0400] conn=4 op=2911 SRCH base="idnsname=31.172.in-addr.arpa.,cn=dns,dc=eladian,dc=com" scope=0 filter="(objectClass=idnsRecord)" attrs=ALL
[15/Jun/2012:15:54:15 -0400] conn=4 op=2911 RESULT err=0 tag=101 nentries=1 etime=0
[15/Jun/2012:15:54:15 -0400] conn=4 op=2912 SRCH base="idnsname=17.172.in-addr.arpa.,cn=dns,dc=eladian,dc=com" scope=0 filter="(objectClass=idnsRecord)" attrs=ALL
[15/Jun/2012:15:54:15 -0400] conn=4 op=2912 RESULT err=0 tag=101 nentries=1 etime=0
[15/Jun/2012:15:54:15 -0400] conn=4 op=2913 SRCH base="idnsname=168.192.in-addr.arpa.,cn=dns,dc=eladian,dc=com" scope=0 filter="(objectClass=idnsRecord)" attrs=ALL
[15/Jun/2012:15:54:15 -0400] conn=4 op=2913 RESULT err=0 tag=101 nentries=1 etime=0
[15/Jun/2012:15:54:15 -0400] conn=4 op=2914 SRCH base="idnsname=30.172.in-addr.arpa.,cn=dns,dc=eladian,dc=com" scope=0 filter="(objectClass=idnsRecord)" attrs=ALL
[15/Jun/2012:15:54:15 -0400] conn=4 op=2914 RESULT err=0 tag=101 nentries=1 etime=0
[15/Jun/2012:15:54:15 -0400] conn=4 op=2915 SRCH base="idnsname=239.in-addr.arpa.,cn=dns,dc=eladian,dc=com" scope=0 filter="(objectClass=idnsRecord)" attrs=ALL
[15/Jun/2012:15:54:15 -0400] conn=4 op=2915 RESULT err=0 tag=101 nentries=1 etime=0
Comment 11 Noriko Hosoi 2012-06-15 16:47:32 EDT
Access log is buffered, so the last op which could the cause of the crash is not captured.

Could it be possible to use this named-pipe for the access log with no buffering?  Thanks!!

http://docs.redhat.com/docs/en-US/Red_Hat_Directory_Server/9.0/html/Administration_Guide/using-named-pipe.html
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
15.4.1. Using the Named Pipe for Logging
The Directory Server instance can use a named pipe for its logging simply by running the named pipe log script and giving the name of the pipe. (If the server is already running, then the log has to be reopened, but there is no configuration required otherwise.)

ds-logpipe.py /var/log/dirsrv/slapd-example/access

Running the ds-logpipe.py in this way has the advantage of being simple to implement and not requiring any Directory Server configuration changes. This is useful for fast debugging or monitoring, especially if you're looking for a specific type of event.
If the Directory Server instance will frequently or permanently use the named pipe rather than a real file for logging, then it is possible to reconfigure the instance to create the named pipe and use it for logging (as it does by default for the log files).
Three things need to be configured for the log configuration for the instance:

    The log file to use has to be changed to the pipe (nsslapd-*log, where the * can be access, error, or audit[5], depending on the log type being configured)
    Buffering should be disabled because the script already buffers the log entries (nsslapd-*log-logbuffering)
    Log rotation should be disabled so that the server doesn't attempt to rotate the named pipe (nsslapd-*log-maxlogsperdir, nsslapd-*log-logexpirationtime, and nsslapd-*log-logrotationtime) 

These configuration changes can be made in the Directory Server Console or using ldapmodify. 
For example, this switches the access log to access.pipe:

ldapmodify -D "cn=directory manager" -w secret -p 389 -h server.example.com -x

dn: cn=config
changetype: modify
replace: nsslapd-accesslog
nsslapd-accesslog: /var/log/dirsrv/slapd-instance_name/access.pipe
-
replace: nsslapd-accesslog-logbuffering
nsslapd-accesslog-logbuffering: off
-
replace: nsslapd-accesslog-maxlogsperdir
nsslapd-accesslog-maxlogsperdir: 1
- 
replace: nsslapd-accesslog-logexpirationtime
nsslapd-accesslog-logexpirationtime: -1
- 
replace: nsslapd-accesslog-logrotationtime
nsslapd-accesslog-logrotationtime: -1
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comment 12 Noriko Hosoi 2012-06-15 17:37:40 EDT
Hi James,

May I ask you one more thing?  I think I found the cause of the crash, but since cannot reproduce the problem in house, there's no way to verify it.  Could you please help us there?

I've put a tar ball containing my local build 389-ds-base-1.2.10.9.tar.gz at http://nhosoi.fedorapeople.org/.

Could you download and try it?
This is the contents of tar ball.
$ tar tvzf 389-ds-base-1.2.10.9.tar.gz 
drwxrwxr-x nhosoi/nhosoi     0 2012-06-15 14:14 RPMS/
drwxr-xr-x nhosoi/nhosoi     0 2012-06-15 14:14 RPMS/x86_64/
-rw-rw-r-- nhosoi/nhosoi 1371453 2012-06-15 14:14 RPMS/x86_64/389-ds-base-1.2.10.9-1.fc16.x86_64.rpm
-rw-rw-r-- nhosoi/nhosoi 3943441 2012-06-15 14:14 RPMS/x86_64/389-ds-base-debuginfo-1.2.10.9-1.fc16.x86_64.rpm
-rw-rw-r-- nhosoi/nhosoi  365753 2012-06-15 14:14 RPMS/x86_64/389-ds-base-libs-1.2.10.9-1.fc16.x86_64.rpm
-rw-rw-r-- nhosoi/nhosoi  108669 2012-06-15 14:14 RPMS/x86_64/389-ds-base-devel-1.2.10.9-1.fc16.x86_64.rpm

Please note that this is not a supported bit.  As you see above, it's built by me on my local host... :)  Thank you so much for your help!
Comment 13 James Cape 2012-06-18 09:09:50 EDT
I can certainly turn logging via a named pipe, but if the crashing member of a multi-master replica set (in IPA), will this also be replicated to the other members (i.e. am I going to add the overhead of full-bore logging to all of my machines, or just the one)?
Comment 14 Rich Megginson 2012-06-18 10:16:39 EDT
(In reply to comment #13)
> I can certainly turn logging via a named pipe, but if the crashing member of
> a multi-master replica set (in IPA), will this also be replicated to the
> other members (i.e. am I going to add the overhead of full-bore logging to
> all of my machines, or just the one)?

We should have a fix out to updates-testing shortly, so just hold off on any additional debugging/logging for now.
Comment 15 Rich Megginson 2012-06-18 19:38:33 EDT
Upstream ticket:
https://fedorahosted.org/389/ticket/390
Comment 16 Fedora Update System 2012-06-18 21:10:45 EDT
389-ds-base-1.2.10.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10.10-1.fc16
Comment 17 Fedora Update System 2012-06-18 21:11:29 EDT
389-ds-base-1.2.10.10-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10.10-1.fc15
Comment 18 Fedora Update System 2012-06-19 20:22:28 EDT
Package 389-ds-base-1.2.10.10-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing 389-ds-base-1.2.10.10-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9651/389-ds-base-1.2.10.10-1.fc15
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2012-06-21 17:43:45 EDT
389-ds-base-1.2.10.11-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10.11-1.fc16
Comment 20 Fedora Update System 2012-06-21 17:44:17 EDT
389-ds-base-1.2.10.11-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10.11-1.fc15
Comment 21 Fedora Update System 2012-06-27 13:47:34 EDT
389-ds-base-1.2.10.12-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10.12-1.fc16
Comment 22 Fedora Update System 2012-06-27 13:48:07 EDT
389-ds-base-1.2.10.12-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10.12-1.fc15
Comment 23 Fedora Update System 2012-07-16 20:13:48 EDT
389-ds-base-1.2.10.13-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10.13-1.fc16
Comment 24 Fedora Update System 2012-07-19 10:50:31 EDT
389-ds-base-1.2.10.14-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10.14-1.fc16
Comment 25 Fedora Update System 2012-08-28 19:33:07 EDT
389-ds-base-1.2.10.14-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora End Of Life 2013-01-16 21:14:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Fedora End Of Life 2013-02-13 22:03:39 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.